// This code will output the temperature in Celcius using an analog temperature sensor (TMP36, Sparkfun: SEN-10988).
// By: Spencer McDonald
// 2/11/2014

// To connect the sensor: Flat side facing towards you, pins pointed down, starting at the left, 5V - OUTPUT - GND.
// This code has the OUTPUT connected to A2.

// Initalize Variables
#define LEDpin 13

int analogTempSensor = 0;
float analogTempSensorVoltage = 0;
float analogTempSensorC = 0;

void setup()
{
  
  Serial.begin(115200); // Opens the communication between Arduino and computer serial port
  Serial.println("Temperature in degrees Celcius measured with analog temperature sensor:"); // Print header
  digitalWrite(LEDpin, OUTPUT);
}


void loop()
{ 

// Analog Temperature Sensor

  analogTempSensor = analogRead(A2);                        // Read the analog pin
  analogTempSensorVoltage = analogTempSensor*(5.0/1024);    // Convert the digital number to a voltage
  analogTempSensorC = (analogTempSensorVoltage - 0.5)/0.01; // Convert the voltage to proper units
  Serial.print(analogTempSensorC,2);                        // Output the value
  Serial.println();                                         // New line
  
  digitalWrite(LEDpin,HIGH);                                      // Flash LED to show sensor running
  delay(1000);                                                    // Print about once per second
  digitalWrite(LEDpin,LOW);
  
}

